NATS C Client with JetStream and Streaming support: jsOptionsPullSubscribeAsync Struct Reference

NATS C Client with JetStream and Streaming support 3.10.0 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
jsOptionsPullSubscribeAsync Struct Reference
Types

`#include <nats.h>`

## Public Attributes
int64_t | Timeout
| Auto-unsubsribe after this many milliseconds.
int | MaxMessages
| Auto-unsubscribed after receiving this many messages.
int64_t | MaxBytes
| Auto-unsubscribe after receiving this many bytes.
bool | NoWait
| If NoWait is set, the subscription will receive the messages already stored on the server subject to the limits, but will not wait for more messages.
jsFetchCompleteHandler | CompleteHandler
| Fetch complete handler that receives the exit status code, the subscription's Complete handler is also invoked, but does not have the status code.
void * | CompleteHandlerClosure
int64_t | Heartbeat
| Have server sends heartbeats at this interval (in milliseconds) to help detect communication failures.
int | FetchSize
| When using the automatic Fetch flow control (default NextHandler), this is the number of messages to ask for in a single request.
int | KeepAhead
| When using the automatic Fetch flow control (default NextHandler), initiate the next fetch request (this many messages) prior to the fulfillment of the current request.
jsFetchNextHandler | NextHandler
| If set, switches to manual fetch flow control.
void * | NextHandlerClosure

## Detailed Description

Async pull subscriber options.

Part of jsOptions.

## Member Data Documentation

## ◆ Timeout

int64_t jsOptionsPullSubscribeAsync::Timeout

## ◆ MaxMessages

int jsOptionsPullSubscribeAsync::MaxMessages

## ◆ MaxBytes

int64_t jsOptionsPullSubscribeAsync::MaxBytes

## ◆ NoWait

bool jsOptionsPullSubscribeAsync::NoWait

Note
  that if Timeout is set we would still wait for first message to become available, even if there are currently any on the server

## ◆ CompleteHandler

jsFetchCompleteHandler jsOptionsPullSubscribeAsync::CompleteHandler

## ◆ CompleteHandlerClosure

void* jsOptionsPullSubscribeAsync::CompleteHandlerClosure

## ◆ Heartbeat

int64_t jsOptionsPullSubscribeAsync::Heartbeat

## ◆ FetchSize

int jsOptionsPullSubscribeAsync::FetchSize

## ◆ KeepAhead

int jsOptionsPullSubscribeAsync::KeepAhead

Note
  KeepAhead can not be used in conjunction with MaxBytes or NoWait.

## ◆ NextHandler

jsFetchNextHandler jsOptionsPullSubscribeAsync::NextHandler

If provided, this function gets called before each message is deliverered to msgCB, and overrides the default algorithm for sending Next fetch requests.

## ◆ NextHandlerClosure

void* jsOptionsPullSubscribeAsync::NextHandlerClosure

The documentation for this struct was generated from the following file:

- nats.h